curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/branches/list \
--header 'Authorization: Bearer <token>'{
"branches": {},
"page_token": "<string>"
}List all branches for a table
List all branches that have been created for table id.
Returns a map of branch names to their contents.
REST NAMESPACE ONLY
REST namespace does not use a request body for this operation.
The ListTableBranchesRequest information is passed in the following way:
id: pass through path parameter of the same namepage_token: pass through query parameter of the same namelimit: pass through query parameter of the same name
A valid request URL is required to generate request examples{
"branches": {},
"page_token": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Pagination token from a previous request An opaque token that allows pagination for list operations (e.g. ListNamespaces).
For an initial request of a list operation, if the implementation cannot return all items in one response, or if there are more items than the page limit specified in the request, the implementation must return a page token in the response, indicating there are more results available.
After the initial request, the value of the page token from each response must be used as the page token value for the next request.
Caller must interpret either null,
missing value or empty string value of the page token from
the implementation's response as the end of the listing results.
Maximum number of items to return An inclusive upper bound of the number of results that a caller will receive.
Response
List of table branches
Response containing table branches
Map of branch names to their contents
Show child attributes
Show child attributes
An opaque token that allows pagination for list operations (e.g. ListNamespaces).
For an initial request of a list operation, if the implementation cannot return all items in one response, or if there are more items than the page limit specified in the request, the implementation must return a page token in the response, indicating there are more results available.
After the initial request, the value of the page token from each response must be used as the page token value for the next request.
Caller must interpret either null,
missing value or empty string value of the page token from
the implementation's response as the end of the listing results.
Was this page helpful?